%define rel 1
%define prefix /usr

Summary: A series of templates and other tools
Name: fctk
Version: 0.0.6
Release: %rel
Copyright: GPL
Group: Development/Tools
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: W. Michael Petullo <mike@flyn.org>
Distribution: Flyn Linux
URL: http://www.flyn.org
Requires: new sed flyn_docs tidy textutils

%description
The Flyn Computing Template Kit (fctk) is a collection of new 
templates, XSLT templates, and project descriptions. These tools are 
used at Flyn Computing for development. The collection of templates 
use XML and the priciple of not repeating oneself. For example, this 
description comes from an XML file and is used to generate the 
package's RPM specification file, manpage, README, HTML description, 
etc. As another example, XSLT templates are included which allow one 
to generate getopt-related C code and portions of a manpage from a 
simgle XML source.



%changelog


%prep


%setup


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make

%install
# NOTE: The following trick only works with a modified header-vars.am.
# Change the line ``DESTDIR ='' in this file to ``DESTDIR =
# ${ENV_DESTDIR}.''
make install


%clean
rm -rf $RPM_BUILD_ROOT


%pre



%post



%preun



%postun



%files
%defattr(-, root, root)


%doc	AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz


%config


